﻿$ErrorActionPreference = 'Stop';


$packageName= 'pragmaticworksworkbench'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/prerelease/BETA/2017.3/BETA_Pragmatic_Workbench_2017.3.1.502.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Pragmatic Workbench*'
  checksum = '4E9EE9DED7D1D2BFD822081D28A7BCEFC8DF188F4ED39AC5AC23869D5660B88E'
  checksumType = 'sha256'
  checksum64 = 'NEU5RUU5REVEN0QxRDJCRkQ4MjIwODFEMjhBN0JDRUZDOERGMTg4RjRFRDM5QUM1QUMyMzg2OUQ1NjYwQjg4RQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
